docker_daemon:
  group: zuul
  registry-mirrors:
    - "http://{{ zuul_site_mirror_fqdn }}:8082/"
  storage-driver: overlay2
  debug: True
  insecure-registries:
    - 172.17.0.1:5000

# Setting reuse_requirements to True will use the most recent
# requirements build from the gate registry. This can save bandwidth
# and time. However, it introduces a gate race condition if a change
# is posted that updates requirements. We set to false to prefer
# correctness to speed.
reuse_requirements: False

# Override Zuul inference of source directory from project name to always
# use "loci".
loci_src_dir: "src/opendev.org/openstack/loci"

distros:
  - name: centos
    image: centos:8
    release: master
    buildargs:
      base:
        PACKAGE_MIRROR: "{{ zuul_site_mirror_fqdn }}"
        PIP_INDEX_URL: http://{{ zuul_site_mirror_fqdn }}/pypi/simple
        PIP_TRUSTED_HOST: "{{ zuul_site_mirror_fqdn }}"
      project:
        PROJECT: "{{ project }}"
        PROJECT_REPO: http://172.17.0.1/git/openstack/{{ project }}
        WHEELS: 172.17.0.1:5000/loci/requirements:master-centos
        FROM: base:centos
      requirements:
        PROJECT: requirements
        PROJECT_REPO: http://172.17.0.1/git/openstack/requirements
        FROM: base:centos
        PYTHON3: yes
  - name: ubuntu_focal
    image: ubuntu:focal
    release: master
    buildargs:
      base:
        UBUNTU_URL: http://{{ zuul_site_mirror_fqdn }}/ubuntu/
        CLOUD_ARCHIVE_URL: http://{{ zuul_site_mirror_fqdn }}/ubuntu-cloud-archive/
        CEPH_URL: http://{{ zuul_site_mirror_fqdn }}/ceph-deb-octopus/
        ALLOW_UNAUTHENTICATED: "true"
        PIP_INDEX_URL: http://{{ zuul_site_mirror_fqdn }}/pypi/simple
        PIP_TRUSTED_HOST: "{{ zuul_site_mirror_fqdn }}"
      project:
        PROJECT: "{{ project }}"
        PROJECT_REPO: http://172.17.0.1/git/openstack/{{ project }}
        WHEELS: 172.17.0.1:5000/loci/requirements:master-ubuntu_focal
        FROM: base:ubuntu_focal
      requirements:
        PROJECT: requirements
        PROJECT_REPO: http://172.17.0.1/git/openstack/requirements
        FROM: base:ubuntu_focal
  - name: ubuntu_bionic
    image: ubuntu:bionic
    release: ussuri
    buildargs:
      base:
        UBUNTU_URL: http://{{ zuul_site_mirror_fqdn }}/ubuntu/
        CLOUD_ARCHIVE_URL: http://{{ zuul_site_mirror_fqdn }}/ubuntu-cloud-archive/
        CEPH_URL: http://{{ zuul_site_mirror_fqdn }}/ceph-deb-nautilus/
        ALLOW_UNAUTHENTICATED: "true"
        PIP_INDEX_URL: http://{{ zuul_site_mirror_fqdn }}/pypi/simple
        PIP_TRUSTED_HOST: "{{ zuul_site_mirror_fqdn }}"
      project:
        PROJECT: "{{ project }}"
        PROJECT_REPO: http://172.17.0.1/git/openstack/{{ project }}
        WHEELS: 172.17.0.1:5000/loci/requirements:ussuri-ubuntu_bionic
        FROM: base:ubuntu_bionic
      requirements:
        PROJECT: requirements
        PROJECT_REPO: http://172.17.0.1/git/openstack/requirements
        FROM: base:ubuntu_bionic
  - name: leap15
    release: master
    buildargs:
      base:
        PACKAGE_MIRROR: "http://{{ zuul_site_mirror_fqdn }}/opensuse/"
        PIP_INDEX_URL: http://{{ zuul_site_mirror_fqdn }}/pypi/simple
        PIP_TRUSTED_HOST: "{{ zuul_site_mirror_fqdn }}"
      project:
        PROJECT: "{{ project }}"
        PROJECT_REPO: http://172.17.0.1/git/openstack/{{ project }}
        WHEELS: 172.17.0.1:5000/loci/requirements:master-leap15
        FROM: base:leap15
        PYTHON3: yes
      requirements:
        PROJECT: requirements
        PROJECT_REPO: http://172.17.0.1/git/openstack/requirements
        FROM: base:leap15
  - name: debian
    image: debian:stretch
    release: train
    buildargs:
      base:
        DEBIAN_URL: http://{{ zuul_site_mirror_fqdn }}/debian/
        DEBIAN_SECURITY_URL: http://{{ zuul_site_mirror_fqdn }}/debian-security/
        DEBIAN_SECURITY_DISTRIBUTION: stretch/updates
        CEPH_URL: http://{{ zuul_site_mirror_fqdn }}/ceph-deb-nautilus/
        ALLOW_UNAUTHENTICATED: "true"
        PIP_INDEX_URL: http://{{ zuul_site_mirror_fqdn }}/pypi/simple
        PIP_TRUSTED_HOST: "{{ zuul_site_mirror_fqdn }}"
      project:
        PROJECT: "{{ project }}"
        PROJECT_REPO: http://172.17.0.1/git/openstack/{{ project }}
        PROJECT_REF: "stable/train"
        PROJECT_RELEASE: "train"
        WHEELS: 172.17.0.1:5000/loci/requirements:train-debian
        FROM: base:debian
      requirements:
        PROJECT: requirements
        PROJECT_REPO: http://172.17.0.1/git/openstack/requirements
        PROJECT_REF: "stable/train"
        PROJECT_RELEASE: "train"
        FROM: base:debian
